Bug 1461484 - exfalso crash; lacks python-feedparser as a hard dependency
exfalso crash; lacks python-feedparser as a hard dependency
Status: NEW
Product: Fedora
Classification: Fedora
Component: quodlibet (Show other bugs)
26
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 10:55 EDT by Mario
Modified: 2017-06-16 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario 2017-06-14 10:55:11 EDT
Description of problem:
A fresh install of 'exfalso' will crash due to missing dependency python-feedparser

Version-Release number of selected component (if applicable):

Name         : exfalso
Version      : 3.9.1
Release      : 1.fc26
Arch         : noarch
Size         : 8.1 M
Source       : quodlibet-3.9.1-1.fc26.src.rpm
Repo         : @System
From repo    : updates-testing
Summary      : Tag editor for various music files
URL          : https://quodlibet.readthedocs.org/en/latest/

How reproducible:
install exfalso and see it crash with output
E: 0.198: errorreport.main.errorhook: update.py:20:<module>: ImportError: No module named feedparser

How to solve:
install python-feedparser-5.2.1-1.fc26.noarch
so, please, make it a hard dependency.

Thank you, everyone!
Comment 1 hannes 2017-06-15 10:08:09 EDT
It's a dependency of the quodlibet package, since I thought it's a quodlibet dep. Will fix it, in the mean time, please additionally install quodlibet.
Thanks.
Comment 2 Mario 2017-06-16 15:26:52 EDT
No sweat. Thanks, hannes.

Note You need to log in before you can comment on or make changes to this bug.